| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
OgreBites::WindowEventListener Class Reference

Callback class used to send out window events to client app. More...

`#include <OgreWindowEventUtilities.h>`

## Public Member Functions
virtual | ~WindowEventListener ()
virtual void | windowClosed (Ogre::RenderWindow *rw)
| More...
virtual bool | windowClosing (Ogre::RenderWindow *rw)
| More...
virtual void | windowFocusChange (Ogre::RenderWindow *rw)
| More...
virtual void | windowMoved (Ogre::RenderWindow *rw)
| More...
virtual void | windowResized (Ogre::RenderWindow *rw)
| More...

## Detailed Description

Callback class used to send out window events to client app.

## Constructor & Destructor Documentation

## ◆ ~WindowEventListener()

virtual OgreBites::WindowEventListener::~WindowEventListener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ windowMoved()

virtual void OgreBites::WindowEventListener::windowMoved | ( | Ogre::RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has moved position

Parameters

  rw | The RenderWindow which created this events

## ◆ windowResized()

virtual void OgreBites::WindowEventListener::windowResized | ( | Ogre::RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has resized

Parameters

  rw | The RenderWindow which created this events

## ◆ windowClosing()

virtual bool OgreBites::WindowEventListener::windowClosing | ( | Ogre::RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window is closing (Only triggered if user pressed the [X] button)

Parameters

  rw | The RenderWindow which created this events

Returns
  True will close the window(default).

## ◆ windowClosed()

virtual void OgreBites::WindowEventListener::windowClosed | ( | Ogre::RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has been closed (Only triggered if user pressed the [X] button)

Parameters

  rw | The RenderWindow which created this events

Note
  The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising.

## ◆ windowFocusChange()

virtual void OgreBites::WindowEventListener::windowFocusChange | ( | Ogre::RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has lost/gained focus

Parameters

  rw | The RenderWindow which created this events

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h